Tracing for set variables
Functionality by programming task » Programming models » Tracing constraint propagation

## Classes

class | Gecode::SetTraceDelta
| Trace delta information for set variables. More...
class | Gecode::StdSetTracer
| Standard set variable tracer. More...

## Typedefs

typedef ViewTracer< Set::SetView > | Gecode::SetTracer
| Tracer for set variables.
typedef ViewTraceRecorder< Set::SetView > | Gecode::SetTraceRecorder
| Trace recorder for set variables.

## Functions

GECODE_SET_EXPORT void | Gecode::trace (Home home, const SetVarArgs &x, TraceFilter tf, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), SetTracer &t=StdSetTracer::def)
| Create a tracer for set variables.
void | Gecode::trace (Home home, const SetVarArgs &x, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), SetTracer &t=StdSetTracer::def)
| Create a tracer for set variables.

## Detailed Description

## Typedef Documentation

## SetTracer

typedef ViewTracer<Set::SetView> Gecode::SetTracer

Tracer for set variables.

Definition at line 1812 of file set.hh.

## SetTraceRecorder

typedef ViewTraceRecorder<Set::SetView> Gecode::SetTraceRecorder

Trace recorder for set variables.

Definition at line 1817 of file set.hh.

## Function Documentation

## trace() [1/2]

void Gecode::trace | ( | Home | home,
|  | const SetVarArgs & | x,
|  | TraceFilter | tf,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | SetTracer & | t = StdSetTracer::def )

Create a tracer for set variables.

Definition at line 39 of file trace.cpp.

## trace() [2/2]

void Gecode::trace | ( | Home | home,
|  | const SetVarArgs & | x,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | SetTracer & | t = StdSetTracer::def )

inline

Create a tracer for set variables.

Definition at line 37 of file trace.hpp.